Subject: Re: bug#14157: 24.3.50; Improve facemenu.el: Better "integration" with other libraries

From: Jambunathan K <[email-masked]>
Date: Wed, 10 Apr 2013 21:59:11 +0530

If I have to talk like a layman:

When in an Org file, I want enriched mode to be turned on and the
highlighted text to be persisted in the saved Org file.

As I indicated the blocker is that facemenu.el doesn't play nicely with
font-lock-modes.

Do you think that it is possible to achieve what users are requesting
without using overlays?

----------------------------------------------------------------

As for Orgmode straining the display engine, it depends on many factors
- I guess the size of the Orgmode file, number of foldings, number of
overlays etc.

----------------------------------------------------------------

I have seen prior discussions of using augmented interval trees for
managing overlays.  (Theoretically) Will such a migration alleviate the
problem/fear.